> ## Documentation Index
> Fetch the complete documentation index at: https://doc.convo.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /project/{project_id}/sync-catalog — Sync Catalogue

> GET /project/{project_id}/sync-catalog — Synchronize your business Meta catalogues with your Convo project to pull in latest catalogue data.

Use this endpoint to synchronize your Meta business catalogues with your Convo project. This pulls the latest catalogue data from Meta and ensures your Convo project reflects any catalogues created or updated directly in Meta Business Manager.

## Endpoint

```text theme={null}
GET https://connect.api-wa.co/project-apis/v1/project/{project_id}/sync-catalog
```

## Authentication

```text theme={null}
X-API-WA-Project-API-Pwd: YOUR_API_PASSWORD
```

## Path Parameters

<ParamField path="project_id" type="string" required>
  Your Convo project ID.
</ParamField>

## Request Example

```bash theme={null}
curl "https://connect.api-wa.co/project-apis/v1/project/YOUR_PROJECT_ID/sync-catalog" \
  -H "X-API-WA-Project-API-Pwd: YOUR_API_PASSWORD"
```

## Response

```json theme={null}
{
  "status": true
}
```

<ResponseField name="status" type="boolean">
  Returns `true` when the catalogue sync was triggered successfully.
</ResponseField>

## Sync Catalogue Products

To also synchronize the **products** within your catalogues (not just the catalogue metadata), use the following endpoint:

```text theme={null}
GET https://connect.api-wa.co/project-apis/v1/project/{project_id}/sync-catalog-products
```

This endpoint follows the same authentication pattern and also returns `{"status": true}` on success.

```bash theme={null}
curl "https://connect.api-wa.co/project-apis/v1/project/YOUR_PROJECT_ID/sync-catalog-products" \
  -H "X-API-WA-Project-API-Pwd: YOUR_API_PASSWORD"
```

<Note>
  It is recommended to call `sync-catalog` first to pull in any new catalogues, then call `sync-catalog-products` to ensure all product data within those catalogues is up to date.
</Note>
